<form class="ui large form" [formGroup]="posteForm" autocomplete="off">

    <div class="ui centered header">Ajouter un poste</div>

    <div class="two fields">
        <div class="field">
            <label>Nom du poste</label>
            <input type="text" placeholder="Nom du poste" formControlName="posteName">
        </div>
        <div class="field poste-responsable">
            <label>Responsable (facultatif)</label>
            <div class="ui fluid container">
                <div class="ui search selection dropdown">
                    <input type="hidden" formControlName="responsable">
                    <div class="default text">Nom d'utilisateur du responsable</div>
                    <div class="menu"></div>
                </div>
                <div class="ui large red button"><i class="close icon"></i></div>
            </div>
        </div>
    </div>

    <div class="two fields">
        <div class="field">
            <label>Date de début</label>
            <input type="datetime-local" formControlName="dateBegin">
        </div>
        <div class="field">
            <label>Date de fin</label>
            <input type="datetime-local" formControlName="dateEnd">
        </div>
    </div>

    <div class="field">
        <label>Localisation</label>
        <input type="text" placeholder="Adresse" formControlName="location">
    </div>

    <div class="field">
        <label>Description du poste</label>
        <textarea placeholder="Description du poste" cols="30" rows="10" formControlName="description"></textarea>
    </div>

    <button type="submit" class="ui large teal button"
            [disabled]="!posteForm.valid" (click)="onSubmit()" id="submit-form">Créer un nouveau poste
    </button>

</form>

<div class="ui error message"
     *ngIf="form.posteName.invalid && form.posteName.touched && form.posteName.errors?.required">
    <div class="header">Nom du poste</div>
    <ul class="list">
        <li>Vous devez entrer un nom pour ce poste.</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.dateBegin.invalid && form.dateBegin.touched && form.dateBegin.errors?.required">
    <div class="header">Date de début</div>
    <ul class="list">
        <li>Vous devez entrer une date de début.</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.dateEnd.invalid && form.dateEnd.touched && form.dateEnd.errors?.required">
    <div class="header">Date de début</div>
    <ul class="list">
        <li>Vous devez entrer une date de fin.</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.location.invalid && form.location.touched && form.location.errors?.required">
    <div class="header">Localisation</div>
    <ul class="list">
        <li>Vous devez entrer une localisation.</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.description.invalid && form.description.touched && form.description.errors?.required">
    <div class="header">Description</div>
    <ul class="list">
        <li>Vous devez entrer une description.</li>
    </ul>
</div>

<div class="ui success message" *ngIf="success">
    <div class="header">Succés</div>
    <ul class="list">
        <li>Le poste à été créé !</li>
    </ul>
</div>

<div class="ui success message" *ngIf="error">
    <div class="header">Erreur</div>
    <ul class="list">
        <li>Le poste n'a pas pu être créé.</li>
    </ul>
</div>
